%define qtdir %_qt3dir

Name: kvpnc
Version: 0.9.0
Release: alt1

Group: Networking/Remote access
Summary: KDE frontend for various vpn clients
Url: http://home.gna.org/kvpnc/
License: GPL

Requires: %{get_dep kdelibs} openssl psmisc ppp iptables

Source0: %name-%version.tar.bz2

#BuildRequires: gcc-c++ kdelibs-devel libqt3-devel libstdc++-devel xml-utils XFree86-devel zlib-devel
# Automatically added by buildreq on Tue Feb 07 2006
#BuildRequires: fontconfig freetype2 gcc-c++ gcc-g77 imake kde-settings kdelibs-devel libICE-devel libSM-devel libX11-devel libXext-devel libXt-devel libgcrypt-devel libgpg-error-devel libjpeg-devel libpng-devel libqt3-devel libqt3-settings libstdc++-devel linux-libc-headers qt3-designer xml-utils xorg-cf-files xorg-x11-proto-devel zlib-devel
BuildRequires: gcc-c++ kdelibs-devel xorg-x11-devel libgcrypt-devel libgpg-error-devel
BuildRequires: libjpeg-devel libpng-devel libqt3-devel libstdc++-devel xml-utils zlib-devel
#BuildRequires: linux-libc-headers

%description
KVpnc is a KDE frontend for various vpn clients.
It supports Cisco VPN (vpnc) and IPSec (FreeS/WAN, racoon).
vpnc is a replacement for the cisco VPN client and its used as client
for the cisco3000 VPN Concentrator, FreeS/WAN (OpenS/WAN) is a IPSec client
for Linux 2.4.x and racoon is a IPSec client for Linux 2.6.x and *BSD.
It supports also PPTP (pptpclient) and OpenVPN.

%prep
%setup -q

for d in po src
do
pushd $d
    find -type f | \
    while read f
    do
	sed -i "s|replacedefaultroute|cleardefaultroute|g" $f
    done
popd
done


#subst "s/\(Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g" admin/acinclude.m4.in
#subst "s/\(Wl,--no-undefined\)/ -Wl,--allow-shlib-undefined \1/g" configure
#subst "s/\-lkdeui/-lkdeui -lpthread/g" configure
#subst "s/\.la/.so/g" configure
make -f admin/Makefile.common cvs

%build
export KDEDIR=%prefix
export QTDIR=%qtdir
export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:/usr/bin:$PATH
export CFLAGS="%optflags"
export CXXFLAGS="%optflags"

%configure \
	--enable-final \
	--disable-static \
	--enable-shared \
	--disable-rpath \
	--disable-debug \
%ifarch x86_64
	--enable-libsuffix=64 \
%endif
	--enable-new-ldflags \
	--without-arts

%make_build

%install
%make  DESTDIR=%buildroot kde_appsdir=%_Kmenudir install

%find_lang --with-kde %name

%post
%update_menus
%postun
%clean_menus

%files -f %name.lang
%doc AUTHORS ChangeLog README TODO
%_docdir/HTML/%name
#
%_bindir/%name
%_datadir/apps/%name
%_Kmenudir/kvpnc.desktop
%_iconsdir/*/*/apps/kvpnc.*
#%_iconsdir/*/*/actions/kvpnc-*

%changelog
* Wed Apr 30 2008 Sergey V Turchin <zerg at altlinux dot org> 0.9.0-alt1
- new version

* Fri Jun 22 2007 Sergey V Turchin <zerg at altlinux dot org> 0.8.9-alt2
- change replacedefaultroute ppp option to cleardefaultroute

* Mon May 07 2007 Sergey V Turchin <zerg at altlinux dot org> 0.8.9-alt1
- new version

* Tue Jan 30 2007 Sergey V Turchin <zerg at altlinux dot org> 0.8.7-alt1
- new version

* Wed Nov 01 2006 Sergey V Turchin <zerg at altlinux dot org> 0.8.6.1-alt1
- new version

* Thu Mar 16 2006 Sergey V Turchin <zerg at altlinux dot org> 0.8.3-alt1
- new version

* Tue Feb 07 2006 Sergey V Turchin <zerg at altlinux dot org> 0.8.2.1-alt1
- new version

* Wed Oct 05 2005 Sergey V Turchin <zerg at altlinux dot org> 0.8-alt1
- initial spec

